### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu-mega/ecl-menu-mega.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-mega`
templateUrl | `./ecl-menu-mega.component.html`

### Index

###### Properties

- eclMenuMegaItems

###### Methods

- onMenuMegaToggleClick
- getCssClasses

###### Inputs

- isExpanded
- isRtl
- class
- e2eAttr

###### Outputs

- menuItemSelect

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(differs: IterableDiffers)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isExpanded
Type : `boolean`
Default value : `false`

isRtl
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onMenuMegaToggleClick
`onMenuMegaToggleClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclMenuMegaItems
Type : `QueryList<EclMenuMegaItemComponent>`
Decorators : `@ContentChildren(EclMenuMegaItemComponent)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""